#include ONCE "window9.bi"

function GetToolTipText(iGadgetParent as Long , iGadget as Long) as string export
	
	dim as ListT ptr pList = pGlobalTypeWindow9->ListGadgets->firstNode
	
	while pList
	
		if pList->anyOneData = iGadget then
				
			dim as zstring ptr pszText = cast(any ptr ,pList->anyTwoData) 
			
			return *pszText
			
			exit while

		EndIf
		
		pList = pList->nextNode

	Wend	

End Function